BlendFi
APIConversõesCotações

List quotes (cursor-paginated)

GET
/v1/quotes
AuthorizationBearer <token>

Paste your BlendFi API key. Sandbox keys start with sk_test_. The Bearer prefix is added automatically.

Em: header

Parâmetros de query

limit?integer
Padrão50
Intervalo1 <= value <= 100
cursor?string
user_id?string
Formatouuid
status?string
Valor em"active" | "expired" | "consumed" | "cancelled"

Corpo da response

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.sandbox.blendfi.com.br/v1/quotes"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
      "source_amount": "string",
      "source_currency": "string",
      "target_amount": "string",
      "target_currency": "string",
      "exchange_rate": "string",
      "spread_bps": 0,
      "withdrawal_fee_usdt": "string",
      "net_target_amount": "string",
      "destination_wallet_address": "string",
      "destination_wallet_network": "polygon",
      "pix_key": "string",
      "pix_key_type": "cpf",
      "deposit_network": "polygon",
      "pix_holder_name": "string",
      "pix_holder_document_masked": "string",
      "pix_key_verified_at": "2019-08-24T14:15:22Z",
      "status": "active",
      "expires_at": "2019-08-24T14:15:22Z",
      "consumed_at": "2019-08-24T14:15:22Z",
      "consumed_by_conversion_id": "ff045a92-7beb-4d9e-8805-768cea9c392d",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string"
}

{
  "code": "invalid_cursor",
  "message": "Cursor is invalid.",
  "request_id": "01KPR9F6MM8G147177J7ZQPJHG"
}

{
  "code": "authentication_required",
  "message": "No valid credentials provided.",
  "request_id": "01KPR9F6MM8G147177J7ZQPJHG"
}

{
  "code": "missing_capability",
  "message": "Your API key does not have the required capability for this endpoint.",
  "request_id": "01KPR9F6MM8G147177J7ZQPJHG"
}
{
  "code": "rate_limit_exceeded",
  "message": "Too many requests. Try again after the retry_after_seconds window.",
  "request_id": "01KPR9F6MM8G147177J7ZQPJHG",
  "details": {
    "retry_after_seconds": 60
  }
}
{
  "code": "internal_error",
  "message": "Internal server error.",
  "request_id": "01KPR9F6MM8G147177J7ZQPJHG"
}